<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>WarpTree: WarpTreeView Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.0 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li id="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
  </ul></div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul></div>
<h1>WarpTreeView Class Reference</h1><!-- doxytag: class="WarpTreeView" --><code>#include &lt;<a class="el" href="warptreeview_8h-source.html">warptreeview.h</a>&gt;</code>
<p>
<a href="classWarpTreeView-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#03f520c2f256db983b65638aa396edf0">WarpTreeView</a> (QWidget *p=0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#03f61ceb3e5fce6998b2f084a69eecb7">~WarpTreeView</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">QRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#f7e950b0330e891446e9e9fc9d8dfcb9">visualRect</a> (const QModelIndex &amp;) const</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#935cbe854a5bb6a6c84c0cc56830f562">scrollTo</a> (const QModelIndex &amp;, QAbstractItemView::ScrollHint)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">QModelIndex&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#2369fb8e9bcd3dcb26160653b03efc1a">indexAt</a> (const QPoint &amp;) const</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">QModelIndex&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#347d140b6afa96242f4172862c6d1874">moveCursor</a> (QAbstractItemView::CursorAction, Qt::KeyboardModifiers)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#4e20278f95229cbbe2ba3de15d15236f">horizontalOffset</a> () const</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#2b4536646386001ac11100399ec8ac74">verticalOffset</a> () const</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#a709471954350abe5c82a777235e9302">isIndexHidden</a> (const QModelIndex &amp;) const</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#dd04bb1aeb7ec5a4ade4303a08128f3e">setSelection</a> (const QRect &amp;, QFlags&lt; QItemSelectionModel::SelectionFlag &gt;)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">QRegion&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#c771b5dd5c4800ed51b11d1bbc8bcb2d">visualRegionForSelection</a> (const QItemSelection &amp;) const</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#d7668ac075962a47b121c8322bc4f808">currentChanged</a> (const QModelIndex &amp;current, const QModelIndex &amp;previous)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#5ee6d5ea23c14d294c153959840e8e35">paintEvent</a> (QPaintEvent *e)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#eb370f7e35854e67fe91e52a12835d73">resizeEvent</a> (QResizeEvent *e)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#8bc9bead25adb3db495315ae8b11a22e">mouseMoveEvent</a> (QMouseEvent *event)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#de01ba1756c94f3fd158c23b38e0d0c0">mousePressEvent</a> (QMouseEvent *event)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#f5392d0f8bc5364fe1d5be54bf522759">mouseReleaseEvent</a> (QMouseEvent *event)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#68429a9a82a2bdb591fc087020d8ac0b">wheelEvent</a> (QWheelEvent *event)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#71e50115c559122afe5305090a52c7ab">setModel</a> (QAbstractItemModel *model)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#ec7a34e35e5a7a88da798c56b5173bbf">setRootIndex</a> (const QModelIndex &amp;index)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#dbd85cbd17ee0a887642aedc758dee5a">setWarpNodePainter</a> (<a class="el" href="classWarpNodePainter.html">WarpNodePainter</a> *painter)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#ca7979e46b208defd5821c5c376182b6">setAntialiased</a> (bool a)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeView.html#f6ea36b4dbb480708f05d69939f04439">antialiased</a> () const</td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><b>Private</b></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class that can show a QAbstractItemModel as a warped tree. 
<p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="03f520c2f256db983b65638aa396edf0"></a><!-- doxytag: member="WarpTreeView::WarpTreeView" ref="03f520c2f256db983b65638aa396edf0" args="(QWidget *p=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WarpTreeView::WarpTreeView           </td>
          <td>(</td>
          <td class="paramtype">QWidget *&nbsp;</td>
          <td class="paramname"> <em>p</em> = <code>0</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructs an empty <a class="el" href="classWarpTreeView.html">WarpTreeView</a>. Set a model with <a class="el" href="classWarpTreeView.html#71e50115c559122afe5305090a52c7ab">setModel()</a> to use the <a class="el" href="classWarpTreeView.html">WarpTreeView</a>. 
</div>
</div><p>
<a class="anchor" name="03f61ceb3e5fce6998b2f084a69eecb7"></a><!-- doxytag: member="WarpTreeView::~WarpTreeView" ref="03f61ceb3e5fce6998b2f084a69eecb7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WarpTreeView::~WarpTreeView           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys the view. 
</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="f7e950b0330e891446e9e9fc9d8dfcb9"></a><!-- doxytag: member="WarpTreeView::visualRect" ref="f7e950b0330e891446e9e9fc9d8dfcb9" args="(const QModelIndex &amp;) const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QRect WarpTreeView::visualRect           </td>
          <td>(</td>
          <td class="paramtype">const QModelIndex &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the bounding rectangle of the given QModelIndex. 
</div>
</div><p>
<a class="anchor" name="935cbe854a5bb6a6c84c0cc56830f562"></a><!-- doxytag: member="WarpTreeView::scrollTo" ref="935cbe854a5bb6a6c84c0cc56830f562" args="(const QModelIndex &amp;, QAbstractItemView::ScrollHint)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::scrollTo           </td>
          <td>(</td>
          <td class="paramtype">const QModelIndex &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QAbstractItemView::ScrollHint&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Move the given index to the center of the view. The ScrollHint has no effect. 
</div>
</div><p>
<a class="anchor" name="2369fb8e9bcd3dcb26160653b03efc1a"></a><!-- doxytag: member="WarpTreeView::indexAt" ref="2369fb8e9bcd3dcb26160653b03efc1a" args="(const QPoint &amp;) const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QModelIndex WarpTreeView::indexAt           </td>
          <td>(</td>
          <td class="paramtype">const QPoint &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the model index of the item at the viewport coordinates. 
</div>
</div><p>
<a class="anchor" name="347d140b6afa96242f4172862c6d1874"></a><!-- doxytag: member="WarpTreeView::moveCursor" ref="347d140b6afa96242f4172862c6d1874" args="(QAbstractItemView::CursorAction, Qt::KeyboardModifiers)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QModelIndex WarpTreeView::moveCursor           </td>
          <td>(</td>
          <td class="paramtype">QAbstractItemView::CursorAction&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Qt::KeyboardModifiers&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Moves the cursor in the view according to the given cursorAction and keyboard modifiers specified by modifiers. 
</div>
</div><p>
<a class="anchor" name="4e20278f95229cbbe2ba3de15d15236f"></a><!-- doxytag: member="WarpTreeView::horizontalOffset" ref="4e20278f95229cbbe2ba3de15d15236f" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WarpTreeView::horizontalOffset           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the horizontal offset of the view. 
</div>
</div><p>
<a class="anchor" name="2b4536646386001ac11100399ec8ac74"></a><!-- doxytag: member="WarpTreeView::verticalOffset" ref="2b4536646386001ac11100399ec8ac74" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WarpTreeView::verticalOffset           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the vertical offset of the view. 
</div>
</div><p>
<a class="anchor" name="a709471954350abe5c82a777235e9302"></a><!-- doxytag: member="WarpTreeView::isIndexHidden" ref="a709471954350abe5c82a777235e9302" args="(const QModelIndex &amp;) const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool WarpTreeView::isIndexHidden           </td>
          <td>(</td>
          <td class="paramtype">const QModelIndex &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the item referred to by the given index is hidden in the view, otherwise returns false. 
</div>
</div><p>
<a class="anchor" name="dd04bb1aeb7ec5a4ade4303a08128f3e"></a><!-- doxytag: member="WarpTreeView::setSelection" ref="dd04bb1aeb7ec5a4ade4303a08128f3e" args="(const QRect &amp;, QFlags&lt; QItemSelectionModel::SelectionFlag &gt;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::setSelection           </td>
          <td>(</td>
          <td class="paramtype">const QRect &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QFlags&lt; QItemSelectionModel::SelectionFlag &gt;&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Applies the selection flags to the items in or touched by the rectangle, rect. 
</div>
</div><p>
<a class="anchor" name="c771b5dd5c4800ed51b11d1bbc8bcb2d"></a><!-- doxytag: member="WarpTreeView::visualRegionForSelection" ref="c771b5dd5c4800ed51b11d1bbc8bcb2d" args="(const QItemSelection &amp;) const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QRegion WarpTreeView::visualRegionForSelection           </td>
          <td>(</td>
          <td class="paramtype">const QItemSelection &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the region from the viewport of the items in the given selection. 
</div>
</div><p>
<a class="anchor" name="d7668ac075962a47b121c8322bc4f808"></a><!-- doxytag: member="WarpTreeView::currentChanged" ref="d7668ac075962a47b121c8322bc4f808" args="(const QModelIndex &amp;current, const QModelIndex &amp;previous)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::currentChanged           </td>
          <td>(</td>
          <td class="paramtype">const QModelIndex &amp;&nbsp;</td>
          <td class="paramname"> <em>current</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QModelIndex &amp;&nbsp;</td>
          <td class="paramname"> <em>previous</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This slot is called when a new item becomes the current item. The previous current item is specified by the previous index, and the new item by the current index. 
</div>
</div><p>
<a class="anchor" name="5ee6d5ea23c14d294c153959840e8e35"></a><!-- doxytag: member="WarpTreeView::paintEvent" ref="5ee6d5ea23c14d294c153959840e8e35" args="(QPaintEvent *e)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::paintEvent           </td>
          <td>(</td>
          <td class="paramtype">QPaintEvent *&nbsp;</td>
          <td class="paramname"> <em>e</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handle a paint event. 
</div>
</div><p>
<a class="anchor" name="eb370f7e35854e67fe91e52a12835d73"></a><!-- doxytag: member="WarpTreeView::resizeEvent" ref="eb370f7e35854e67fe91e52a12835d73" args="(QResizeEvent *e)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::resizeEvent           </td>
          <td>(</td>
          <td class="paramtype">QResizeEvent *&nbsp;</td>
          <td class="paramname"> <em>e</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handle a resize event. 
</div>
</div><p>
<a class="anchor" name="8bc9bead25adb3db495315ae8b11a22e"></a><!-- doxytag: member="WarpTreeView::mouseMoveEvent" ref="8bc9bead25adb3db495315ae8b11a22e" args="(QMouseEvent *event)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::mouseMoveEvent           </td>
          <td>(</td>
          <td class="paramtype">QMouseEvent *&nbsp;</td>
          <td class="paramname"> <em>event</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handle a mouse move event. This is used for dragging the view. 
</div>
</div><p>
<a class="anchor" name="de01ba1756c94f3fd158c23b38e0d0c0"></a><!-- doxytag: member="WarpTreeView::mousePressEvent" ref="de01ba1756c94f3fd158c23b38e0d0c0" args="(QMouseEvent *event)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::mousePressEvent           </td>
          <td>(</td>
          <td class="paramtype">QMouseEvent *&nbsp;</td>
          <td class="paramname"> <em>event</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handle a mouse press event. 
</div>
</div><p>
<a class="anchor" name="f5392d0f8bc5364fe1d5be54bf522759"></a><!-- doxytag: member="WarpTreeView::mouseReleaseEvent" ref="f5392d0f8bc5364fe1d5be54bf522759" args="(QMouseEvent *event)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::mouseReleaseEvent           </td>
          <td>(</td>
          <td class="paramtype">QMouseEvent *&nbsp;</td>
          <td class="paramname"> <em>event</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handle a mouse release event. 
</div>
</div><p>
<a class="anchor" name="68429a9a82a2bdb591fc087020d8ac0b"></a><!-- doxytag: member="WarpTreeView::wheelEvent" ref="68429a9a82a2bdb591fc087020d8ac0b" args="(QWheelEvent *event)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::wheelEvent           </td>
          <td>(</td>
          <td class="paramtype">QWheelEvent *&nbsp;</td>
          <td class="paramname"> <em>event</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handle a mouse wheel event by zooming the view in or out. 
</div>
</div><p>
<a class="anchor" name="71e50115c559122afe5305090a52c7ab"></a><!-- doxytag: member="WarpTreeView::setModel" ref="71e50115c559122afe5305090a52c7ab" args="(QAbstractItemModel *model)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::setModel           </td>
          <td>(</td>
          <td class="paramtype">QAbstractItemModel *&nbsp;</td>
          <td class="paramname"> <em>model</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Change the model of the widget. 
</div>
</div><p>
<a class="anchor" name="ec7a34e35e5a7a88da798c56b5173bbf"></a><!-- doxytag: member="WarpTreeView::setRootIndex" ref="ec7a34e35e5a7a88da798c56b5173bbf" args="(const QModelIndex &amp;index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::setRootIndex           </td>
          <td>(</td>
          <td class="paramtype">const QModelIndex &amp;&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Change the index that is drawn as the root of the widget. 
</div>
</div><p>
<a class="anchor" name="dbd85cbd17ee0a887642aedc758dee5a"></a><!-- doxytag: member="WarpTreeView::setWarpNodePainter" ref="dbd85cbd17ee0a887642aedc758dee5a" args="(WarpNodePainter *painter)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::setWarpNodePainter           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classWarpNodePainter.html">WarpNodePainter</a> *&nbsp;</td>
          <td class="paramname"> <em>painter</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set a new painter for the lines and nodes. 
</div>
</div><p>
<a class="anchor" name="ca7979e46b208defd5821c5c376182b6"></a><!-- doxytag: member="WarpTreeView::setAntialiased" ref="ca7979e46b208defd5821c5c376182b6" args="(bool a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpTreeView::setAntialiased           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>a</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Change whether the tree is drawn antialiassed or not. 
</div>
</div><p>
<a class="anchor" name="f6ea36b4dbb480708f05d69939f04439"></a><!-- doxytag: member="WarpTreeView::antialiased" ref="f6ea36b4dbb480708f05d69939f04439" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool WarpTreeView::antialiased           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine whether the tree is drawn antialiassed or not. 
</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="warptreeview_8h-source.html">warptreeview.h</a><li>src/warptreeview.cpp</ul>
<hr size="1"><address style="align: right;"><small>Generated on Sat Jun 2 19:18:06 2007 for WarpTree by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.0 </small></address>
</body>
</html>
